osl::move_action::NoEffectFilter< P, OrigAction > Class Template Reference

利きのないところへ動くためのフィルタ More...

`#include <move_action.h>`

## Public Member Functions

| NoEffectFilter (const NumEffectState &s, OrigAction &action, Square pos)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player, Move m)
void | unknownMove (Square from, Square to, Piece p1, Ptype ptype, bool isPromote, Player, Move m)
void | dropMove (Square to, Ptype ptype, Player, Move m)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Private Attributes

const NumEffectState & | state
OrigAction & | action
Square | removed

## Detailed Description

template<Player P, class OrigAction>
class osl::move_action::NoEffectFilter< P, OrigAction >

利きのないところへ動くためのフィルタ

Definition at line 72 of file move_action.h.

## Constructor & Destructor Documentation

## NoEffectFilter()

template<Player P, class OrigAction>

osl::move_action::NoEffectFilter< P, OrigAction >::NoEffectFilter | ( | const NumEffectState & | s,
|  | OrigAction & | action,
|  | Square | pos )

inline

Definition at line 78 of file move_action.h.

References action, removed, and state.

## Member Function Documentation

## dropMove() [1/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p )

inline

Definition at line 106 of file move_action.h.

References dropMove().

## dropMove() [2/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | ,
|  | Move | m )

inline

ここは呼ばれないはず

Definition at line 88 of file move_action.h.

References action, osl::alt(), removed, and state.

Referenced by dropMove().

## simpleMove() [1/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 94 of file move_action.h.

References osl::PTYPE_EMPTY, and simpleMove().

## simpleMove() [2/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | ,
|  | Move | m )

inline

Definition at line 79 of file move_action.h.

References action, osl::alt(), removed, and state.

Referenced by simpleMove().

## unknownMove() [1/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 100 of file move_action.h.

References osl::captured(), and unknownMove().

## unknownMove() [2/2]

template<Player P, class OrigAction>

void osl::move_action::NoEffectFilter< P, OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | p1,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | ,
|  | Move | m )

inline

Definition at line 83 of file move_action.h.

References action, osl::alt(), removed, and state.

Referenced by unknownMove().

## Member Data Documentation

## action

template<Player P, class OrigAction>

OrigAction& osl::move_action::NoEffectFilter< P, OrigAction >::action

private

Definition at line 75 of file move_action.h.

Referenced by dropMove(), NoEffectFilter(), simpleMove(), and unknownMove().

## removed

template<Player P, class OrigAction>

Square osl::move_action::NoEffectFilter< P, OrigAction >::removed

private

Definition at line 76 of file move_action.h.

Referenced by dropMove(), NoEffectFilter(), simpleMove(), and unknownMove().

## state

template<Player P, class OrigAction>

const NumEffectState& osl::move_action::NoEffectFilter< P, OrigAction >::state

private

Definition at line 74 of file move_action.h.

Referenced by dropMove(), NoEffectFilter(), simpleMove(), and unknownMove().

The documentation for this class was generated from the following file:

- move_action.h